net.minecraft.client.gui

## Class GuiScreen

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen

- Direct Known Subclasses:
    GuiAccessDenied, GuiAchievements, GuiBackupFailed, GuiChat, GuiCommandBlock, GuiConfig, GuiConnecting, GuiContainer, GuiControls, GuiCreateFlatWorld, GuiCreateWorld, GuiDisconnected, GuiDownloadTerrain, GuiEditArray, GuiEditSign, GuiErrorScreen, GuiFlatPresets, GuiGameOver, GuiIngameMenu, GuiIngameModOptions, GuiLanguage, GuiMainMenu, GuiMemoryErrorScreen, GuiModList, GuiModsMissingForServer, GuiMultiplayer, GuiNotification, GuiOptions, GuiRenameWorld, GuiScreenAddServer, GuiScreenBackup, GuiScreenBook, GuiScreenBuyRealms, GuiScreenClientOutdated, GuiScreenConfigureWorld, GuiScreenConfirmation, GuiScreenDemo, GuiScreenDisconnectedOnline, GuiScreenEditOnlineWorld, GuiScreenInvite, GuiScreenLongRunningTask, GuiScreenMcoWorldTemplate, GuiScreenOnlineServers, GuiScreenOptionsSounds, GuiScreenPendingInvitation, GuiScreenReamlsTOS, GuiScreenResourcePacks, GuiScreenServerList, GuiScreenSubscription, GuiScreenWorking, GuiSelectString, GuiSelectWorld, GuiShareToLan, GuiSnooper, GuiSortingProblem, GuiStats, GuiVideoSettings, GuiWinGame, GuiYesNo, ScreenChatOptions, ScreenWithCallback

      public class GuiScreen
      extends Gui

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `allowUserInput`
    `protected java.util.List` | `buttonList`
    `protected FontRenderer` | `fontRendererObj`
    `int` | `height`
    `protected static RenderItem` | `itemRender`
    `protected java.util.List` | `labelList`
    `Minecraft` | `mc`
    `int` | `width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScreen()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionPerformed(GuiButton p_146284_1_)`
    `void` | `confirmClicked(boolean par1, int par2)`
    `boolean` | `doesGuiPauseGame()`
    `void` | `drawBackground(int p_146278_1_)`
    `protected void` | `drawCreativeTabHoveringText(java.lang.String p_146279_1_, int p_146279_2_, int p_146279_3_)`
    `void` | `drawDefaultBackground()`
    `protected void` | `drawHoveringText(java.util.List p_146283_1_, int p_146283_2_, int p_146283_3_, FontRenderer font)`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `void` | `drawWorldBackground(int p_146270_1_)`
    `protected void` | `func_146283_a(java.util.List p_146283_1_, int p_146283_2_, int p_146283_3_)`
    `static java.lang.String` | `getClipboardString()`
    `void` | `handleInput()`
    `void` | `handleKeyboardInput()`
    `void` | `handleMouseInput()`
    `void` | `initGui()`
    `static boolean` | `isCtrlKeyDown()`
    `static boolean` | `isShiftKeyDown()`
    `protected void` | `keyTyped(char par1, int par2)`
    `protected void` | `mouseClicked(int par1, int par2, int par3)`
    `protected void` | `mouseClickMove(int p_146273_1_, int p_146273_2_, int p_146273_3_, long p_146273_4_)`
    `protected void` | `mouseMovedOrUp(int p_146286_1_, int p_146286_2_, int p_146286_3_)`
    `void` | `onGuiClosed()`
    `protected void` | `renderToolTip(ItemStack p_146285_1_, int p_146285_2_, int p_146285_3_)`
    `static void` | `setClipboardString(java.lang.String p_146275_0_)`
    `void` | `setWorldAndResolution(Minecraft p_146280_1_, int p_146280_2_, int p_146280_3_)`
    `void` | `updateScreen()`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### itemRender

          protected static RenderItem itemRender

    - #### mc

          public Minecraft mc

    - #### width

          public int width

    - #### height

          public int height

    - #### buttonList

          protected java.util.List buttonList

    - #### labelList

          protected java.util.List labelList

    - #### allowUserInput

          public boolean allowUserInput

    - #### fontRendererObj

          protected FontRenderer fontRendererObj

  - ### Constructor Detail

    - #### GuiScreen

          public GuiScreen()

  - ### Method Detail

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

    - #### keyTyped

          protected void keyTyped(char par1,
                      int par2)

    - #### getClipboardString

          public static java.lang.String getClipboardString()

    - #### setClipboardString

          public static void setClipboardString(java.lang.String p_146275_0_)

    - #### renderToolTip

          protected void renderToolTip(ItemStack p_146285_1_,
                           int p_146285_2_,
                           int p_146285_3_)

    - #### drawCreativeTabHoveringText

          protected void drawCreativeTabHoveringText(java.lang.String p_146279_1_,
                                         int p_146279_2_,
                                         int p_146279_3_)

    - #### func_146283_a

          protected void func_146283_a(java.util.List p_146283_1_,
                           int p_146283_2_,
                           int p_146283_3_)

    - #### drawHoveringText

          protected void drawHoveringText(java.util.List p_146283_1_,
                              int p_146283_2_,
                              int p_146283_3_,
                              FontRenderer font)

    - #### mouseClicked

          protected void mouseClicked(int par1,
                          int par2,
                          int par3)

    - #### mouseMovedOrUp

          protected void mouseMovedOrUp(int p_146286_1_,
                            int p_146286_2_,
                            int p_146286_3_)

    - #### mouseClickMove

          protected void mouseClickMove(int p_146273_1_,
                            int p_146273_2_,
                            int p_146273_3_,
                            long p_146273_4_)

    - #### actionPerformed

          protected void actionPerformed(GuiButton p_146284_1_)

    - #### setWorldAndResolution

          public void setWorldAndResolution(Minecraft p_146280_1_,
                                   int p_146280_2_,
                                   int p_146280_3_)

    - #### initGui

          public void initGui()

    - #### handleInput

          public void handleInput()

    - #### handleMouseInput

          public void handleMouseInput()

    - #### handleKeyboardInput

          public void handleKeyboardInput()

    - #### updateScreen

          public void updateScreen()

    - #### onGuiClosed

          public void onGuiClosed()

    - #### drawDefaultBackground

          public void drawDefaultBackground()

    - #### drawWorldBackground

          public void drawWorldBackground(int p_146270_1_)

    - #### drawBackground

          public void drawBackground(int p_146278_1_)

    - #### doesGuiPauseGame

          public boolean doesGuiPauseGame()

    - #### confirmClicked

          public void confirmClicked(boolean par1,
                            int par2)

    - #### isCtrlKeyDown

          public static boolean isCtrlKeyDown()

    - #### isShiftKeyDown

          public static boolean isShiftKeyDown()